//---------------------------------------------------------------
//   Terrain base
textures/choco_sd/terrain_base
{
	// ikano futatuwotukenaito self shadow sitatokini light-map ga okasikunaru. riyuuha fumei
	//  q3map_nonplanar ha phong shade wo okonau mono rasii
	q3map_nonplanar
	q3map_shadeAngle 180                                               

	q3map_lightmapMergable
	q3map_lightmapaxis z
	q3map_lightmapsize 512 512
}

//---------------------------------------------------------------
//   Snow terrain
textures/choco_sd/snow_terrain
{
	qer_editorimage textures/choco_sd/editor_snow_terrain.tga
	q3map_baseshader textures/choco_sd/terrain_base
	
	surfaceparm landmine
	surfaceparm snowsteps
	
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	
	// Manual niyoruto korede light-map no sample size wo kaerareru mitai 
	// dakedo Margable na terrain niha murinano kana?
	// kawarini Entity no Key ni _lightmapscale wo sitei siteyaruto umaku iku
	//q3map_lightmapsamplesize 64
	
	{
		map textures/snow_sd/snow_var01.tga
		rgbGen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

//---------------------------------------------------------------
//   Sand terrain
textures/choco_sd/sand_terrain
{
	qer_editorimage textures/choco_sd/editor_sand_terrain.tga
	q3map_baseshader textures/choco_sd/terrain_base
	
	surfaceparm landmine
	surfaceparm gravelsteps
	
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map textures/temperate_sd/sand_disturb_bright.tga
		rgbGen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

//---------------------------------------------------------------
//   Grass terrain
textures/choco_sd/grass_terrain
{
	qer_editorimage textures/choco_sd/editor_grass_terrain.tga
	q3map_baseshader textures/choco_sd/terrain_base
	
	surfaceparm landmine
	surfaceparm grasssteps
	
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	//q3map_tcMod rotate 60
	{
		map textures/temperate_sd/grass_dense1.tga
		rgbGen identity
		//tcMod scale 0.5 0.5
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

//---------------------------------------------------------------
//   Sky  fuel kara pakutta
textures/choco_sd/choco_sky
{
	qer_editorimage textures/choco_sd/editor_sky.tga
	q3map_lightrgb 0.8 0.9 1.0
	q3map_skylight 85 3
	q3map_sun 1 .95 .9 200 210 40
	// use with light-map scale option
	//q3map_sunExt 1 .95 .9 200 210 40 3 16
	skyparms - 200 -
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	{
		map textures/skies/fueldump_clouds.tga
		rgbGen identity
	}
	{
		map textures/skies/fueldump_clouds.tga
		blendfunc blend
		rgbGen identity
		tcMod scroll 0.0005 0.00
		tcMod scale 2 1
	}
}

//---------------------------------------------------------------
//   Glass      //no light-map
textures/choco_sd/choco_glass
{
	qer_editorimage textures/choco_sd/editor_glass.tga
	qer_trans 0.2
	cull none
	surfaceparm glass
	surfaceparm trans
	//surfaceparm nolightmap
	{
		map textures/choco_sd/choco_glass.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		tcgen environment
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

//---------------------------------------------------------------
//   Clay      no light-map  snow steps
textures/choco_sd/choco_clay
{
	qer_editorimage textures/choco_sd/editor_choco_sd.tga
	surfaceparm nolightmap
	surfaceparm snowsteps
	
	{
		map textures/snow_sd/snow_var01.tga
		rgbGen identity
	}
}

//---------------------------------------------------------------
//   number      no light-map
textures/choco_sd/choco_numbers_sd
{
	qer_editorimage textures/choco_sd/numbers.tga
	surfaceparm nolightmap
	nomipmaps
	nopicmip
	surfaceparm nomarks
	
	{
		map textures/choco_sd/numbers.tga
		rgbGen identity
	}
}
//---------------------------------------------------------------
//   large number      no light-map
textures/choco_sd/choco_large_numbers_sd
{
	qer_editorimage textures/choco_sd/editor_new_numbers.tga
	surfaceparm nolightmap
	nomipmaps
	nopicmip
	surfaceparm nomarks
	
	{
		map textures/choco_sd/new_numbers.tga
		rgbGen identity
	}
}
//---------------------------------------------------------------
//   white      no light-map
textures/choco_sd/choco_white_sd
{
	qer_editorimage textures/choco_sd/white.tga
	surfaceparm nolightmap
	nomipmaps
	nopicmip
	surfaceparm nomarks
	
	{
		map textures/choco_sd/white.tga
		rgbGen identity
	}
}
//---------------------------------------------------------------
//   alphabet      no light-map
textures/choco_sd/choco_alphabet_sd
{
	qer_editorimage textures/choco_sd/choco_alphabet.tga
	surfaceparm nolightmap
	nomipmaps
	nopicmip
	surfaceparm nomarks
	
	{
		map textures/choco_sd/choco_alphabet.tga
		rgbGen identity
	}
}
//---------------------------------------------------------------
//   choco_captions.tga      no light-map
textures/choco_sd/choco_captions_sd
{
	qer_editorimage textures/choco_sd/choco_caprions.tga
	surfaceparm nolightmap
	nomipmaps
	nopicmip
	surfaceparm nomarks
	
	{
		map textures/choco_sd/choco_caprions.tga
		rgbGen identity
	}
}


textures/choco_sd/choco_slider_sd
{
	qer_editorimage textures/egypt_floor_sd/marblefloor_c04.tga
	surfaceparm nodamage
	surfaceparm slick
	implicitMap textures/egypt_floor_sd/marblefloor_c04.tga
}

textures/choco_sd/choco_arrow_sd
{
	qer_editorimage textures/choco_sd/choco_arrow.tga
	qer_trans 0.5
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm pointlight
	surfaceparm trans
	implicitMask textures/choco_sd/choco_arrow.tga
}

//---------------------------------------------------------------
//  choco_congrat.tga
textures/choco_sd/congrat_sd
{
	qer_editorimage textures/choco_sd/choco_congrat.tga
	nomipmaps
	nopicmip
	implicitMap textures/choco_sd/choco_congrat.tga
}

//---------------------------------------------------------------
//  kanban.jpg
textures/choco_sd/kanban_sd
{
	qer_editorimage textures/choco_sd/kanban.jpg
	nomipmaps
	nopicmip
	implicitMap textures/choco_sd/kanban.jpg
}

//---------------------------------------------------------------
//  choco_lock_disp.tga
textures/choco_sd/choco_lock_disp_sd
{
	qer_editorimage textures/choco_sd/choco_lock_disp.tga
	nomipmaps
	nopicmip
	implicitMap textures/choco_sd/choco_lock_disp.tga
}

//---------------------------------------------------------------
//   choco_timeattack_bill.tga
textures/choco_sd/choco_timeattack_bill_sd
{
	qer_editorimage textures/choco_sd/choco_timeattack_bill.tga
	surfaceparm nolightmap
	nomipmaps
	nopicmip
	surfaceparm nomarks
	
	{
		map textures/choco_sd/choco_timeattack_bill.tga
		rgbGen identity
	}
}

//---------------------------------------------------------------
//   choco_door_bill.tga
textures/choco_sd/choco_door_bill_sd
{
	qer_editorimage textures/choco_sd/choco_door_bill.tga
	surfaceparm nolightmap
	nomipmaps
	nopicmip
	surfaceparm nomarks
	implicitMap textures/choco_sd/choco_door_bill.tga
}

//---------------------------------------------------------------
//   choco color no light-map
textures/choco_sd/choco_color_nolight
{
	qer_editorimage textures/choco_sd/choco_color.tga
	surfaceparm nolightmap
	nomipmaps
	nopicmip
	surfaceparm nomarks
	
	{
		map textures/choco_sd/choco_color.tga
		rgbGen identity
	}
}

//---------------------------------------------------------------
//   decal test
textures/choco_sd/decal_test
{
	qer_editorimage textures/alpha/mesh_c02.tga
	qer_trans 0.75
	
	q3map_nonplanar
	q3map_shadeAngle 179	// for most efficient rendering
	q3map_noTJunc
	
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap	// important!
	surfaceparm trans
	
	polygonOffset
	
	{
		map textures/alpha/mesh_c02.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR	// *invert* the texture, this is for correct fogging
		rgbGen identity
	}
} 

//---------------------------------------------------------------
//   choco footrace caption  no light-map
textures/choco_sd/choco_footrace_caption_sd
{
	qer_editorimage textures/choco_sd/choco_footrace_cap.tga
	surfaceparm nolightmap
	nomipmaps
	nopicmip
	surfaceparm nomarks
	
	{
		map textures/choco_sd/choco_footrace_cap.tga
		rgbGen identity
	}
}

